include ../config.status
include ../install.status

EXTRA_DEFINES = @EXTRA_DEFINES@
EXTRA_LIBS    = @EXTRA_LIBS@
MANS = @MAKEALL@
HOWTO = xcin.HOWTO cin2tab.HOWTO Boshiamy.HOWTO Xfonts.HOWTO
MISC = README.xcin XCIN.client.doc


install:
	if [ ! -d $(PATH_XCIN_MAN) ]; then $(INSTALL_DIR) $(PATH_XCIN_MAN); fi
	if [ ! -d $(PATH_XCIN_MAN)/man1 ]; then $(INSTALL_DIR) $(PATH_XCIN_MAN)/man1; fi
	for f in $(MANS); do \
	    $(INSTALL_DATA) man/$$f $(PATH_XCIN_MAN)/man1; \
	    echo $(PATH_XCIN_MAN)/man1/$$f >> filelist; \
	done
	if [ ! -d $(PATH_XCIN_DIR)/docs ]; then $(INSTALL_DIR) $(PATH_XCIN_DIR)/docs; fi
	for f in $(HOWTO); do \
	    $(INSTALL_DATA) howto/$$f $(PATH_XCIN_DIR)/docs; \
	    echo $(PATH_XCIN_DIR)/docs/$$f >> filelist; \
	done
	for f in $(MISC); do \
	    $(INSTALL_DATA) misc/$$f $(PATH_XCIN_DIR)/docs; \
	    echo $(PATH_XCIN_DIR)/docs/$$f >> filelist; \
	done

clean:
	rm -f *.o core

veryclean: clean
	rm -f Makefile

